Bug 330581 - Unable to open webdav folder over https
Unable to open webdav folder over https
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-13 06:01 EDT by Jorrit
Modified: 2015-03-03 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:39:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jorrit 2007-10-13 06:01:25 EDT
Description of problem:
Connection to the root folder of my webdav server works, I also see the
directory I have permissions to. However trying to access that folder results in
a "Cannot find davs://fqdn/myfolder, check spelling and try again"

When I enable it in apache over http, it works as expected, also over https.

Konqueror and cadaver work as expected.

Version-Release number of selected component (if applicable):
Nautilus 2.18.3

How reproducible:
always

Steps to Reproduce:
1.
open nautilus

2.
in Adress bar type:
davs://fqdn/myfolder

3.
enter user name and password

4.
Click "Ok" on error message :-(

Actual results:
Error mesage:
"Cannot find davs://fqdn/myfolder, check spelling and try again"

Expected results:
Access to my webdav folder

Additional info:

Web server configuration

<snip>
<VirtualHost *:443>
    ServerAdmin foo@fqdn
    DocumentRoot /var/www/dav
    ServerName fqdn
    ErrorLog logs/error_log
    CustomLog logs/access_log common
</VirtualHost>

<Directory "/var/www/dav">
    DAV On
    SSLOptions +StrictRequire
    SSLRequireSSL % {SSL_CIPHER_USEKEYSIZE} >=128
    AuthType Basic
    AuthName "User name and password needed"
    AuthUserFile /var/www/access/passwd
    Require valid-user
    AllowOverride None
</Directory>
</snip>
Comment 1 ajs 2008-01-25 13:03:48 EST
I see the same problem.

Check the log file /var/log/httpd/ssl_error_log on the server.  On mine it
indicates that Nautulus is not sending the username during authentication.

[Fri Jan 25 10:52:05 2008] [error] [client xxxx.xxx.xxx.xxx] user  not found:
/<my dir>/

Could you please bump the severity.  I can't edit the files remotely anymore.
Comment 2 Bug Zapper 2008-05-14 10:43:57 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:39:16 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.